Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234447 - BUG_ON(!entry) in shmem_writepage() is triggered in rare circumstances
Summary: BUG_ON(!entry) in shmem_writepage() is triggered in rare circumstances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Michal Schmidt
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 11:52 UTC by Michal Schmidt
Modified: 2018-10-19 21:51 UTC (History)
6 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:45:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Comment 1 Michal Schmidt 2007-03-29 12:02:51 UTC
I've checked the patch proposed in attachment #151181 fixes the bug.

Comment 2 RHEL Product and Program Management 2007-03-29 21:46:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Michal Schmidt 2007-04-06 10:04:40 UTC
Update:
The fix is incomplete. I was able to trigger slab corruption with it. Upstream
has fixed it with a series of 4 patches from Hugh Dickins ("holepunch: ...", git
commit 90ed52ebe48181d3c5427b3bd1d24f659e7575ad). These seem to work reliably.

Comment 4 RHEL Product and Program Management 2007-04-17 19:22:11 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 5 Don Zickus 2007-06-12 18:47:06 UTC
in 2.6.18-24.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 6 Michal Schmidt 2007-06-22 18:49:37 UTC
I tested 2.6.18-27.el5 and ran the testcase for 6 hours. The bug is fixed.

Comment 8 Mike Gahagan 2007-09-20 15:17:51 UTC
testcase has run overnight on one of my test systems, no issues so far. 

Comment 9 Dave Fogarty 2007-09-28 23:56:06 UTC
What is the status of this bug?  Is an official RHEL5 kernel available?  We are
actually seeing this in the wild and would like it to stop.

Comment 12 errata-xmlrpc 2007-11-07 19:45:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.